Bug Hunting Session
Bug 125824 - SfxUndoManager::Undo() Crash When multi windows
Summary: SfxUndoManager::Undo() Crash When multi windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-10 12:01 UTC by Xisco Faulí
Modified: 2019-07-15 09:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["sd::UndoObjectSetText::Undo()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-06-10 12:01:16 UTC
This is a follow-up of bug 111522

Steps to reproduce:
1) Open attachment 151920 [details] from bug 111522
2) Have slide 1 on window 1, slide 2 on window 2.
3) Start text edit on window 1.
4) Double click on the shape on window 2 and write something
5) Click outside the shape
6) Undo

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: ec905d131374f0860bac77c52873eed984b1966f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-06-10 12:05:49 UTC
Also reproduced in

Version: 4.2.0.0.alpha1+
Build ID: fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3

but not in

Version: 4.1.0.0.alpha1+
Build ID: a2c9d4f8bbde97f175bae4df771273a61251f40

so it seems it was introduced at the same point as bug 111522 -> see https://bugs.documentfoundation.org/show_bug.cgi?id=111522#c8
Comment 2 Xisco Faulí 2019-06-10 12:17:18 UTC
I know how to fix this one. I'll try to provide a unittest as well
Comment 3 Commit Notification 2019-07-01 07:45:57 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/091f573728e7951d5dc4ef138117499b7480885f%5E%21

tdf#125824 svx: fix crash with view1 and view2 doing textedit

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-07-01 10:38:58 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1da42db5f3b8e382cc9ea3345a87e7ce495d44d9%5E%21

tdf#125824 svx: fix crash with view1 and view2 doing textedit

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-07-02 13:44:09 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9dca7c2fac5c6b83a6910aa61b1a2a316f36d948%5E%21

tdf#125824 svx: fix crash with view1 and view2 doing textedit

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.